function accountTypePlayerCount(accountType) {
	switch(accountType) {
		case 1:
		return 20;

		case 2:
		return 50;

		case 3:
		return 100;

		case 4:
		return 500;

		case 5:
		return 1000;
	}

	return 0;
}

function accountType(accountType) {
	switch(accountType) {
		case 1:
		return "20명 (1만원)";

		case 2:
		return "50명 (2만원)";

		case 3:
		return "100명 (3만원)";

		case 4:
		return "500명 (4만원)";

		case 5:
		return "1,000명 (5만원)";

		case 100:
		case 101:
		return "해당없음";
	}

	return accountType + "? (N/A)";
}

function accountStatus(accountType, activateStatus) {
	if(activateStatus == 0)
		return "입금대기";
	else if(activateStatus == 100)
		return "환불";

	switch(accountType) {
		case 1:
		return "20명";

		case 2:
		return "50명";

		case 3:
		return "100명";

		case 4:
		return "500명";

		case 5:
		return "1,000명";

		case 100:
		return "학생체험";

		case 101:
		return "마에체험";
	}

	return "";
}

function accountStatusColorClass(status) {
	switch(status) {
		case "비활성화":
		return " text-muted";

		case "환불":
		return " text-white bg-danger";

		case "입금대기":
		// return " text-muted bg-warning";
		return " text-warning bg-dark";

		case "학생체험":
		case "마에체험":
		return " text-success";

		default:
		return " text-primary";
	}
}

function accountTypePrice(accountType) {
	switch(accountType) {
		case 1:
		return 10000;

		case 2:
		return 20000;

		case 3:
		return 30000;

		case 4:
		return 40000;

		case 5:
		return 50000;
	}

	return 0;
}

function accountTypeValue(accountType) {
	switch(accountType) {
		case "20명 (1만원)":
		return 1;

		case "50명 (2만원)":
		return 2;

		case "100명 (3만원)":
		return 3;

		case "500명 (4만원)":
		return 4;

		case "1,000명 (5만원)":
		return 5;
	}

	return accountType + "? (N/A)";
}

function price(requestedAccountType, registeredAccountType) {
	var priceRequested = accountTypePrice(requestedAccountType);
	var priceRegistered = accountTypePrice(registeredAccountType);

	return priceRequested - priceRegistered;
}

function status(status) {
	switch(status) {
		case 1:
		return "요청";

		case 2:
		return "취소";

		case 3:
		return "업그레이드 적용";
	}

	return status + "? (N/A)";
}